﻿// バイナリファイルをCSVに変換する単純なプログラムです
using System;
using System.Text;
using System.IO;

namespace bin2csv
{
    class Program
    {
        static void Main(string[] args)
        {
            if (args.Length != 1)
            {
                Console.WriteLine("usage: freq2csv filename > output.csv");
                return;
            }
            
            string fileName = args[0];
            if (File.Exists(fileName))
            {
                FileInfo info = new FileInfo(fileName);
                FileStream reader = new FileStream(fileName,
                                   FileMode.Open,
                                   FileAccess.Read);
                
                int data;
                int count = 0;
                while ((data = reader.ReadByte()) != -1)
                {
                    Console.Write(data.ToString() + ",");
                    if (count == 15) Console.WriteLine();
                    count = (count + 1) & 15;
                }

            }
        }
    }
}
